> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# auction/show

> Inspect a single auction and optional attached details. Requires the `auctions:read` permission.



## OpenAPI

````yaml https://provisioning.cloudx.io/api/v1/openapi.yaml get /auction/show
openapi: 3.0.3
info:
  title: CloudX API
  description: >-
    Use the CloudX API to retrieve reporting metrics, inspect auctions, and read
    account configuration.
  version: 1.0.0
servers:
  - url: https://provisioning.cloudx.io/api/v1
security: []
tags:
  - name: Authentication
    description: Validate CloudX API keys and inspect authenticated account details.
  - name: Reporting
    description: >-
      Retrieve CloudX reporting metrics for apps, ad units, bidders, and
      exports.
  - name: Configuration
    description: Read live, draft, and published CloudX account configuration.
  - name: Auction Inspection
    description: Inspect auctions, rounds, bids, and related delivery details.
paths:
  /auction/show:
    get:
      tags:
        - Auction Inspection
      summary: auction/show
      description: >-
        Inspect a single auction and optional attached details. Requires the
        `auctions:read` permission.
      operationId: getAuctionShow
      parameters:
        - in: query
          name: auction_id
          description: CloudX auction ID.
          required: true
          schema:
            type: string
          example: auction_123
        - in: query
          name: with
          description: >-
            Comma-separated related sections to include. Supported values are
            `rounds`, `bids`, `ilrd`, and `external-ilrd`.
          schema:
            type: string
          example: rounds,bids
      responses:
        '200':
          description: Auction inspection data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuctionShowResponse'
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Auction not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    AuctionShowResponse:
      type: object
      required:
        - auction_id
        - auctions
        - rounds
        - bids
        - ilrd
        - external_ilrd
      properties:
        auction_id:
          type: string
        auctions:
          type: array
          maxItems: 25
          items:
            $ref: '#/components/schemas/AuctionRecord'
        rounds:
          type: array
          maxItems: 500
          items:
            $ref: '#/components/schemas/AuctionRound'
        bids:
          type: array
          maxItems: 500
          items:
            $ref: '#/components/schemas/AuctionBid'
        ilrd:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/AuctionILRD'
        external_ilrd:
          type: array
          maxItems: 100
          items:
            $ref: '#/components/schemas/AuctionExternalILRD'
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
    AuctionRecord:
      type: object
      required:
        - auction_id
        - account_id
        - event_time
        - app_bundle
        - app_name
        - ad_unit_id
        - imp_count
        - device_os
        - device_country
        - sdk_version
        - test_mode
        - status
        - priority
        - has_winner
        - winner_bidder
        - winner_price_cpm
        - bidder_count
        - bid_count
        - nonbid_count
        - auction_duration_ms
        - error
        - ab_test_id
        - ab_test_variant
        - inserted_at
      properties:
        auction_id:
          type: string
        account_id:
          type: string
        event_time:
          type: string
        app_bundle:
          type: string
        app_name:
          type: string
        ad_unit_id:
          type: string
        imp_count:
          type: integer
          format: int32
        device_os:
          type: string
        device_country:
          type: string
        sdk_version:
          type: string
        test_mode:
          type: boolean
        status:
          type: integer
          format: int32
        priority:
          type: integer
          format: int32
        has_winner:
          type: boolean
        winner_bidder:
          type: string
        winner_price_cpm:
          type: number
          format: double
        bidder_count:
          type: integer
          format: int32
        bid_count:
          type: integer
          format: int32
        nonbid_count:
          type: integer
          format: int32
        auction_duration_ms:
          type: integer
          format: int64
        error:
          type: string
        ab_test_id:
          type: string
        ab_test_variant:
          type: string
        inserted_at:
          type: string
    AuctionRound:
      type: object
      required:
        - auction_id
        - round_id
        - round_number
        - priority
        - account_id
        - event_time
        - app_bundle
        - app_name
        - ad_unit_id
        - device_os
        - device_country
        - sdk_version
        - test_mode
        - line_item_count
        - bidder_count
        - bid_count
        - nonbid_count
        - bid_sum
        - has_winner
        - winner_bidder
        - winner_line_item_id
        - winner_price_cpm
        - configured_floor
        - round_floor
        - floor_currency
        - dps_model
        - dps_model_version
        - experiment_group
        - shadow_mode
        - round_duration_ms
      properties:
        auction_id:
          type: string
        round_id:
          type: string
        round_number:
          type: integer
          format: int32
        priority:
          type: integer
          format: int32
        account_id:
          type: string
        event_time:
          type: string
        app_bundle:
          type: string
        app_name:
          type: string
        ad_unit_id:
          type: string
        device_os:
          type: string
        device_country:
          type: string
        sdk_version:
          type: string
        test_mode:
          type: boolean
        line_item_count:
          type: integer
          format: int32
        bidder_count:
          type: integer
          format: int32
        bid_count:
          type: integer
          format: int32
        nonbid_count:
          type: integer
          format: int32
        bid_sum:
          type: number
          format: double
        has_winner:
          type: boolean
        winner_bidder:
          type: string
        winner_line_item_id:
          type: string
        winner_price_cpm:
          type: number
          format: double
        configured_floor:
          type: number
          format: double
        round_floor:
          type: number
          format: double
        floor_currency:
          type: string
        dps_model:
          type: string
        dps_model_version:
          type: string
        experiment_group:
          type: string
        shadow_mode:
          type: boolean
        round_duration_ms:
          type: integer
          format: int64
    AuctionBid:
      type: object
      required:
        - auction_id
        - account_id
        - event_time
        - bidder
        - bid_id
        - imp_id
        - price_cpm
        - deal_id
        - is_winner
        - app_bundle
        - ad_unit_id
        - device_os
        - device_country
        - sdk_version
        - test_mode
        - status
        - nonbid_reason
        - static_floor
        - configured_floor
        - dynamic_floor
        - publisher_floor
        - publisher_floor_applied
        - effective_floor
        - effective_floor_source
        - publisher_override_active
        - http_status
        - latency_ms
        - error_type
        - rejection_reason
        - round_number
        - priority
        - inserted_at
      properties:
        auction_id:
          type: string
        account_id:
          type: string
        event_time:
          type: string
        bidder:
          type: string
        bid_id:
          type: string
        imp_id:
          type: string
        price_cpm:
          type: number
          format: double
        deal_id:
          type: string
        is_winner:
          type: boolean
        app_bundle:
          type: string
        ad_unit_id:
          type: string
        device_os:
          type: string
        device_country:
          type: string
        sdk_version:
          type: string
        test_mode:
          type: boolean
        status:
          type: string
        nonbid_reason:
          type: integer
          format: int32
        static_floor:
          type: number
          format: double
        configured_floor:
          type: number
          format: double
        dynamic_floor:
          type: number
          format: double
        publisher_floor:
          type: number
          format: double
        publisher_floor_applied:
          type: boolean
        effective_floor:
          type: number
          format: double
        effective_floor_source:
          type: string
        publisher_override_active:
          type: boolean
        http_status:
          type: integer
          format: int32
        latency_ms:
          type: integer
          format: int64
        error_type:
          type: string
        rejection_reason:
          type: string
        round_number:
          type: integer
          format: int32
        priority:
          type: integer
          format: int32
        inserted_at:
          type: string
    AuctionILRD:
      type: object
      required:
        - auction_id
        - account_id
        - event_time
        - bidder
        - bid_id
        - imp_id
        - price_cpm
        - revenue
      properties:
        auction_id:
          type: string
        account_id:
          type: string
        event_time:
          type: string
        bidder:
          type: string
        bid_id:
          type: string
        imp_id:
          type: string
        price_cpm:
          type: number
          format: double
        revenue:
          type: number
          format: double
    AuctionExternalILRD:
      type: object
      required:
        - impression_id
        - account_id
        - event_time
        - source
        - platform
        - revenue
        - revenue_precision
        - country
        - network_name
        - ad_unit_id
        - platform_ad_unit_id
        - third_party_ad_placement_id
        - ad_format
        - notification_type
        - auction_id
        - creative_id
        - network_placement
      properties:
        impression_id:
          type: string
        account_id:
          type: string
        event_time:
          type: string
        source:
          type: string
        platform:
          type: string
        revenue:
          type: number
          format: double
        revenue_precision:
          type: string
        country:
          type: string
        network_name:
          type: string
        ad_unit_id:
          type: string
        platform_ad_unit_id:
          type: string
        third_party_ad_placement_id:
          type: string
        ad_format:
          type: string
        notification_type:
          type: string
        auction_id:
          type: string
        creative_id:
          type: string
        network_placement:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Create or manage API keys in [CloudX
        Settings](https://app.cloudx.io/settings/api-keys).
      x-default: YOUR_CLOUDX_API_KEY

````